listar pedidos
curl --request GET \
--url https://api.teceo.co/store/v1/orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.teceo.co/store/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.teceo.co/store/v1/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "ord_xyz789",
"number": "PED-2025-0001",
"status": "confirmed",
"total": 589.5,
"items_count": 12,
"brand": {
"id": "brand_abc",
"name": "distribuidora exemplo"
},
"created_at": "2025-01-14T10:00:00Z"
}
],
"meta": {
"total": 45,
"page": 1,
"limit": 20,
"pages": 3
}
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}pedidos
listar pedidos
retorna a lista de pedidos da loja
GET
/
orders
listar pedidos
curl --request GET \
--url https://api.teceo.co/store/v1/orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.teceo.co/store/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.teceo.co/store/v1/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "ord_xyz789",
"number": "PED-2025-0001",
"status": "confirmed",
"total": 589.5,
"items_count": 12,
"brand": {
"id": "brand_abc",
"name": "distribuidora exemplo"
},
"created_at": "2025-01-14T10:00:00Z"
}
],
"meta": {
"total": 45,
"page": 1,
"limit": 20,
"pages": 3
}
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
número da página
quantidade de itens por página
Required range:
x <= 100filtrar por status
Available options:
pending, confirmed, shipped, delivered, cancelled 